Forum Discussion

jaryszek's avatar
jaryszek
Super User
1 year ago
Solved

How to measure time of report uploading using REST APIs?

Hello,

this is my rest api which i am using to upload report:

 

# https://learn.microsoft.com/en-us/rest/api/power-bi/imports/post-import-in-group

# Use the PowerBiCostMgmtApp1 Rest Client environment for the CostMgmt1 tenant.

# name getGroups
GET https://api.powerbi.com/v1.0/myorg/groups?$filter=name%20eq%20'{{groupName}}'
Authorization: Bearer {{$aadV2Token appOnly}}

### 

# Remember to update importId with the returned import ID.

@groupId = {{getGroups.response.body.$.value[0].id}}

POST https://api.powerbi.com/v1.0/myorg/groups/{{groupId}}/imports?datasetDisplayName={{fileDisplayName}}
Authorization: Bearer {{$aadV2Token appOnly}}
Content-Type: multipart/form-data; boundary=MfnBoundry

--MfnBoundry
Content-Disposition: form-data; name="files"; filename="{{filename}}"
Content-Type: application/octet-stream

< ./{{filename}}
--MfnBoundry--

 

how to measure time of it? I know that i can check import Id status if this is finished but i need whole time of uploading...

Thanks,
Jacek

14 Replies

  • There's nothing else available beyond the polling you are already doing.

     

    If this is important to you please consider voting for an existing idea or raising a new one at https://ideas.fabric.microsoft.com

  • v-nmadadi-msft's avatar
    v-nmadadi-msft
    Community Support

    Hi jaryszek,
    Thanks for reaching out to the Microsoft fabric community forum.

    Using REST API’s we can get report data sources, report data dependent items,  report history snapshots, report parameter definitions or various other things

     

     

     


    but currently it is not possible to get the time when the report was uploaded.
    Please refer to this article to explore the available options and try out the ones that best suit your specific requirements.: Reports - REST API (Power bi report) | Microsoft Learn

    If you find this post helpful, please mark it as an "Accept as Solution" and consider giving a KUDOS. Feel free to reach out if you need further assistance.
    Thanks and Regards


    • jaryszek's avatar
      jaryszek
      Super User

      Ok so if you have report which take 30 min to upload how to automate workflow to refresh it after? 

      how people solve it?

      Best,
      Jacek

      • lbendlin's avatar
        lbendlin
        Super User

        Set a refresh schedule before the upload. That will result in an automatic refresh attempt after the upload completes.

  • v-nmadadi-msft's avatar
    v-nmadadi-msft
    Community Support

    Hi jaryszek ,

    May I ask if you have resolved this issue? If so, please mark the helpful reply and accept it as the solution. This will be helpful for other community members who have similar problems to solve it faster.

    Thank you.

     

    • jaryszek's avatar
      jaryszek
      Super User

      Hi,

      issue is not solved. There is no option to do this and this totally sucks. 

      • v-nmadadi-msft's avatar
        v-nmadadi-msft
        Community Support

        Hi jaryszek ,

        We really appreciate your efforts and for letting us know the update on the issue.
        As mentioned by lbendlin, Please consider sharing your suggestion in the Power BI Ideas forum, where the product team actively monitors user feedback. Ideas with strong community support are more likely to be considered for future implementation. Posting there helps ensure your request reaches the right audience and contributes to shaping the product roadmap.

        Please continue using fabric community forum for your further assistance.

        Thank you

         

  • v-nmadadi-msft's avatar
    v-nmadadi-msft
    Community Support

    Hi jaryszek ,

    Could you please confirm if you've submitted this as an idea in the Ideas Forum? If so, sharing the link here would be helpful for other community members who may have similar feedback.

    If we don’t hear back, we’ll go ahead and close this thread. For any further discussions or questions, please start a new thread in the Microsoft Fabric Community Forum  we’ll be happy to assist.

    Thank you for being part of the Microsoft Fabric Community.